Download failed. Please check your connection

I tried to install Featured Extension Adblock and got this message:
Download failed. Please check your connection. I do have a good connection what am I missing. My Robo form ad-on has also been removed.

5 Likes

I have the same and its very very annoying

Hello,
Try to delete cookies and site data for Mozilla website:
https://support.mozilla.org/en-US/kb/clear-cookies-and-site-data-firefox

Please see https://blog.mozilla.org/addons/2019/05/04/update-regarding-add-ons-in-firefox/

1 Like

and if i don`t want to give permission to collect the data and will not enable studies all my add-ons will not work?

1 Like

Mozilla loses users like this! Its very very poorly!!! I go to Chrome

What a drag! I followed all the instructions and it still doesn’t work. Too bad. Chrome it is then. All our add-ons have been disabled and we are no longer able to download any of them.

Here’s my understanding of the status of fixes:

  • Firefox 66 - fixed in 66.0.5 - if you already installed this update and it’s not working for you, please let us know

  • Firefox 61-65 - you can use the hotfix from this past weekend that is distributed via a study - if you already ran this and it’s not working for you, please let us know; - I read there is a possibility the hotfix will be posted on an official channel for direct installation, but I don’t know when that would happen - (UPDATE Fri 5/10) An updated version of the hotfix is expected to go up on the Add-ons site or another Mozilla site after completing QA

  • Firefox 60 ‘‘Extended Support Release’’ - fixed in 60.6.3esr - if you already installed this update and it’s not working for you, please let us know

  • Firefox 52-60 - a hotfix in the form of a legacy extension has been written and is in pre-release testing - (UPDATE Fri 5/10) This is expected to go up on the Add-ons site or another Mozilla site after completing QA because there are issues with pushing it out automatically

2 Likes

Yeah I got this update and it fixed it for me.

Using Firefox 56. Updated with the patch. Still getting the download failed error whenever trying to download any themes. Tried two different systems, both with the same Firefox, both with the same patch, same error.

Can you check whether the new certificate got installed installed successfully?

On the Options / Preferences page, type cert into the small search box at the top of the page and click the View Certificates button. Select the “Authorities” tab, then scroll down through the list of authorities to where Mozilla Corporation should be in alphabetical order. You should see the add-on signing certificate there.

Reference screenshot from Firefox 66:

I did double-check that and yes, I do have that certificate. I also have the hotfix showing in my addons, and all other addons are working. But trying to download themes and most add-ons I didn’t already own give me the error.

I did notice on a few themes, if I go back to the older versions and download anything older, it allows that, but not the new ones, most of which I’m noticing were updated in the last week, I’m assuming with new certificates after the issues. But nothing new will work.

Even cleared cookies and cache just in case.

Hi hockeyiris, occasionally users cannot install extensions and get a connection error because some software on their system blocks the redirected “cdn” address. For example:

uBlock Origin: https://addons.mozilla.org/firefox/addon/ublock-origin/

Install address: https://addons.mozilla.org/firefox/downloads/file/2403352/ublock_origin-1.19.2-an+fx.xpi?src=dp-btn-primary

Redirected to: https://addons.cdn.mozilla.net/user-media/addons/607454/ublock_origin-1.19.2-an+fx.xpi?filehash=sha256%3Ac1a4bdd8fcef7120147425dfb4ec0c5d51ad33b5e55e775acb2736247a861d83

However, I don’t know whether that is related to the issue you’re having.

I turned off ad-block and my antivirus to make sure. Same issues. Anything that’s been updated in the last week, after the issues with the certificates, will not download. I’m able to get themes still by going to “older versions” and picking one that wasn’t updated within the last few days, but themes updated recently (most of them saying around May 13) just refuse to load.

Worked for me! Thanks!!

I had Firefox ESR 60.4 so i didn’t have to update on the well known certificate fiasco.
However i had to update now because i couldn’t download any add-ons.

You might have received the hotfix through the study mechanism when you had 60.4.0esr. Not sure why that would stop working; that could happen if cert8.db or cert9.db was removed. Anyway, 60.6.3esr and the current ESR release have the new certificate bundled in.